package cn.reghao.tnb.content.api.constant;

import java.util.HashMap;
import java.util.Map;

/**
 * 稿件类型
 *
 * @author reghao
 * @date 2024-10-31 14:16:06
 */
public enum PostType {
    Image(1, "图片"),
    Video(2, "视频");

    private final int code;
    private final String desc;
    private static final Map<Integer, PostType> map = new HashMap<>();
    static {
        for (PostType scope : PostType.values()) {
            map.put(scope.code, scope);
        }
    }

    PostType(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getName() {
        return this.name();
    }

    /**
     * 提供给 @ValidEnum 调用
     *
     * @param
     * @return
     * @date 2023-10-11 14:44:42
     */
    public int getValue() {
        return this.code;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public static PostType getByCode(int code) {
        return map.get(code);
    }
}
